declare class NodeItem {
    data: any;
    next: NodeItem | null;
    constructor(data: any);
}
export declare class LinkedList {
    head: NodeItem | null;
    constructor();
    /**
     * 获取链表节点个数
     */
    get size(): number;
    /**
     * 判断是否为空链表
     */
    get isEmpty(): boolean;
    /**
     * 指定位置插入节点
     * @param item 节点
     * @param index 节点位置
     */
    insert(item: any, index?: number): void;
    /**
     * 获取指定位置的节点
     * @param index 节点位置
     */
    find(index: number): NodeItem | undefined;
    /**
     * 判断输入的index是否合法
     * @param index 索引
     */
    private judgedIndex;
    /**
     * 获得当前位置前一个节点（index不为0）
     * @param index 索引
     */
    private getPreviousItem;
}
export {};
